a very old plugin for Acrobat(Reader) 3.x,4.x,5.x,had better 4.x or 3.x, developed by a Chinese developer, and has no update.

It aim to open XESC_EXLock encrypted PDF documents.

Download it here,
If you meet this issue, then you need this plugin,

Donations are welcome,

Leave a Reply

Your email address will not be published. Required fields are marked *